//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ADG_Assistance.DB
{
    using System;
    using System.Collections.Generic;
    
    public partial class Contrat
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Contrat()
        {
            this.BonIntervention = new HashSet<BonIntervention>();
            this.Projet = new HashSet<Projet>();
            this.ProjetToContrat = new HashSet<ProjetToContrat>();
        }
    
        public int Id { get; set; }
        public string NumContrat { get; set; }
        public Nullable<System.DateTime> DateDeb { get; set; }
        public Nullable<System.DateTime> DateFin { get; set; }
        public double NbHeures { get; set; }
        public double HeuresRestantes { get; set; }
        public Nullable<System.DateTime> DateSignature { get; set; }
        public Nullable<System.DateTime> DateCreation { get; set; }
        public double Cout { get; set; }
        public string Contact { get; set; }
        public string ContactCivilite { get; set; }
        public Nullable<bool> Actif { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<BonIntervention> BonIntervention { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Projet> Projet { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProjetToContrat> ProjetToContrat { get; set; }
    }
}
